
{% extends 'base/base.html' %}

{% block page_content %}
 <!-- Dropdown Card Example -->
 <div class="card shadow mb-4">
    <!-- Card Header - Dropdown -->
    <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
        <h6 class="m-0 font-weight-bold text-primary">Listado de Encargados de Ruta </h6>
        <div class="dropdown no-arrow">
            <a href="{% url 'apoyos:encargados_new' %}" class="btn btn-primary btn-icon-split btn-sm mr-2">
                <span class="icon text-white-50">
                    <i class="fa fa-user-plus"></i>
                </span>
                <span class="text font-weight-bold">Nuevo registro</span>
            </a>

            <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
            </a>
            <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
                <div class="dropdown-header">Acciones:</div>
                    <a class="dropdown-item" href="{% url 'apoyos:encargados_new' %}"> <i class="fa fa-calendar-plus"></i>Nuevo</a>
                    <!-- <a class="dropdown-item" href="#">Another action</a> -->
                <div class="dropdown-divider"></div>
                <!-- <a class="dropdown-item" href="#">Something else here</a> -->
            </div>
        </div>
    </div>
    <!-- Card Body -->
    <div class="card-body">

        <!-- listado con datatables -->       
        {% if not obj %}
             <div class="alert alert-info">No Hay Encargados de Ruta</div>           
        {% else %}

        <table class="table table-bordered table-striped">
            <thead class="table-info" style="font-size: small;">
                <th>ID</th>
                <th>NOMBRES</th>
                <th>APELLIDO PATERNO</th>
                <!-- <th>APELLIDO MATERNO</th> -->
                <th>DEPARTAMENTO</th>
                <th>ACCIONES</th>
            </thead>

            <tbody style="font-size: small;">
                
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombres }}</td>
                        <td>{{ item.ap_paterno }}</td>
                                                
                        <!-- {% if item.ap_materno %}
                            <td>{{ item.ap_materno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->
                            
                        <td>{{ item.departamento }}</td>
                        <th>
                            <a href="{% url 'apoyos:encargados_edit' item.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:encargados_delete' item.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i></a>                                                         
                            <a href="{% url 'apoyos:comunidades-er' item.id %}" class="btn btn-success btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-city"></i>
                                </span>
                                <span class="text font-weight-bold">Ver localidades</span>
                            </a>
                        </th>
                    </tr>
                {% endfor %}                                

            </tbody>
        </table>
 
        <!-- <table
             id="table"
             data-toggle="table"
             data-pagination="true"
             data-page-size="5"
             data-search="true"
             data-show-columns="true"
             data-show-fullscreen="true"
             data-show-toggle="true"
             data-show-export="true"
             data-click-to-select="true"
             data-locale="es-MX"
         >
            <thead>
                <th data-field="id" data-sortable="true">Id</th>
                <th data-field="nombres" data-sortable="true">Nombres</th>
                <th data-field="ap_paterno" data-sortable="true">Ap Paterno</th> -->
                <!-- <th data-field="ap_materno" data-sortable="true">Ap Materno</th> -->
                <!-- <th data-field="telefono">Telefono</th> -->
                <!-- <th data-field="localidad" data-sortable="true">Departamento</th>
                            
                <th class="all">Acciones</th>
            </thead>
 
            <tbody>               
                {% for item in obj %}
                    <tr>
                        <td>{{ item.id }}</td>
                        <td>{{ item.nombres }}</td> -->
                        
                        <!-- si hay apellido paterno lo mostramos -->
                        <!-- {% if item.ap_paterno %}
                            <td>{{ item.ap_paterno }}</td>
                        {% else %}
                            <td></td>
                        {% endif %} -->
                                                                           
                        <!-- si hay apellido materno lo mostramos -->
                        <!-- {% if item.ap_materno %}
                            <td>{{ item.ap_materno }}</td> 
                        {% else %}
                            <td></td> 
                        {% endif %}     -->
                                                                        
                        <!-- si tiene telefono lo mostramos -->                        
                        <!-- {% if item.telefono %}
                            <td>{{ item.telefono }}</td>                        
                        {% else %}
                            <td></td> 
                        {% endif %}    -->
                                                                                                                                                                                   
                        <!-- departamento que dirige -->
                        <!-- <td>{{ item.departamento }}</td>
                                        
                        <td>                            
                            <a href="{% url 'apoyos:encargados_edit' item.id %}" class="btn btn-warning btn-circle"><i class="far fa-edit"></i></a>                           
                            <a href="{% url 'apoyos:encargados_delete' item.id %}" class="btn btn-danger btn-circle"><i class="fas fa-trash-alt"></i></a> -->
                            <!-- <a href="{% url 'apoyos:comunidades-er' item.id %}" class="btn btn-primary"><i>Ver Comunidades</i></a> -->
                            <!-- <a href="{% url 'apoyos:comunidades-er' item.id %}" class="btn btn-primary btn-icon-split btn-sm">
                                <span class="icon text-white-50">
                                    <i class="fas fa-city"></i>
                                </span>
                                <span class="text">Ver localidades</span>
                            </a>
                        </td>
                        
                    </tr>
                {% endfor %}
                    
            </tbody>
        </table>        -->
        {% endif %}
    </div>
</div>    

{% endblock page_content %}

{% block js_page %}
    <script>
        // llamamos al plugin datatable de jQuery
        $(document).ready( function () {
            $('.table').DataTable({
                "language": {
                    "processing": "Procesando...",
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "zeroRecords": "No se encontraron resultados",
                    "emptyTable": "Ningún dato disponible en esta tabla",
                    "infoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
                    "infoFiltered": "(filtrado de un total de _MAX_ registros)",
                    "search": "Buscar:",
                    "infoThousands": ",",
                    "loadingRecords": "Cargando...",
                    "paginate": {
                        "first": "Primero",
                        "last": "Último",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                    "aria": {
                        "sortAscending": ": Activar para ordenar la columna de manera ascendente",
                        "sortDescending": ": Activar para ordenar la columna de manera descendente"
                    }
                }
            });
        });
         
    </script>
{% endblock js_page %}




